Mailinglist Archive: opensuse-factory (428 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191022 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Thu, 24 Oct 2019 11:01:58 +0000
  • Message-id: <157191491896.10745.606347172037794041@go-agent-stagingbot-7>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191022

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
GeoIP
aaa_base (84.87+git20190822.82a17f1 -> 84.87+git20191017.bf0a315)
akonadi-calendar
amarok (2.9.70git.20190920T110913~b986f52d1d ->
2.9.70git.20191004T143525~5ed62f9a08)
aspell (0.60.6.1 -> 0.60.8)
autoyast2 (4.2.10 -> 4.2.12)
brltty
cifs-utils
corosync
djvulibre
eventviews
freetype2
gnome-shell-extensions
gpg2
hplip
kalarmcal
kcontacts
libdvdnav (6.0.0 -> 6.0.1)
libreoffice (6.3.2.2 -> 6.3.3.1)
libstorage-ng (4.2.16 -> 4.2.17)
libvirt (5.7.0 -> 5.8.0)
libxkbcommon (0.8.4 -> 0.9.1)
libxslt
libzypp (17.14.0 -> 17.15.0)
llvm8
llvm9
lvm2
lvm2-device-mapper
lz4 (1.9.1 -> 1.9.2)
mercurial (5.1.1 -> 5.1.2)
mutter
obs-service-tar_scm
open-iscsi
patterns-base
patterns-kde
perl-Bootloader (0.925 -> 0.926)
perl-Cpanel-JSON-XS (4.12 -> 4.14)
perl-DateTime-Locale (1.240000 -> 1.250000)
python-base
python-libvirt-python (5.7.0 -> 5.8.0)
python-numpy (1.17.2 -> 1.17.3)
python-reportlab
rpm
rpm-config-SUSE (0.g35 -> 0.g40)
rubygem-fast_gettext
sddm
sendmail
shadow
tbb
valgrind
vim (8.1.2052 -> 8.1.2148)
virtualbox
whois (5.5.1 -> 5.5.2)
xen (4.12.1_02 -> 4.13.0_01)
xf86-video-intel
yast2 (4.2.27 -> 4.2.28)
yast2-country (4.2.5 -> 4.2.6)
yast2-security (4.2.4 -> 4.2.5)
yast2-trans (84.87.20191014.7227f0a5d8 -> 84.87.20191020.c721485b2e)
zbar

=== Details ===

==== GeoIP ====
Subpackages: GeoIP-data libGeoIP1

- remove geoip-fetch and add deprecation link to descriptions (boo#1140511)

==== aaa_base ====
Version update (84.87+git20190822.82a17f1 -> 84.87+git20191017.bf0a315)
Subpackages: aaa_base-extras

- Update to version 84.87+git20191017.bf0a315:
* Use short TERM name rxvt for rxvt-unicode and rxvt-unicode-256-color
- Update to version 84.87+git20191017.14003c1:
* Use official key binding functions in inputrc
that is replace up-history with previous-history, down-history with
next-history and backward-delete-word with backward-kill-word
(bsc#1084934). Add some missed key escape sequences for urxvt-unicode
terminal as well (boo#1007715).
- Update to version 84.87+git20191016.80d1420:
* backup-sysconfig: fall back top cpio if tar is not available
(bsc#1089299)
* backup-rpmdb: check if rpm database is okay before backup to
avoid overwriting good backups with corrupt ones (bsc#1079861)
* service: check if there is a second argument before using it
(bsc#1051143)
- Update to version 84.87+git20191014.52dc403:
* also add color alias for ip command, jira#sle-9880, bsc#1153943
- Update to version 84.87+git20191010.b20083a:
* check if variables can be set before modifying them
to avoid warnings on login with a restricted shell
(bsc#1138869)
- Update to version 84.87+git20191009.4c2bd8e:
* Add s390x compressed kernel support (bsc#1151023)
* Fix LC_NAME and LC_ADDRESS in sh.ssh
* fix string test to arithmetic test in /etc/profile.d/wsl.sh

==== akonadi-calendar ====
Subpackages: akonadi-calendar-lang akonadi-plugin-calendar
libKF5AkonadiCalendar5

- Update build requirements and Requires of the devel package

==== amarok ====
Version update (2.9.70git.20190920T110913~b986f52d1d ->
2.9.70git.20191004T143525~5ed62f9a08)

- Update to version 2.9.70git.20191004T143525~5ed62f9a08:
* Register Play/Pause as global shortcut again (boo#1152751, kde#373590)
* Fix missing directory separators when saving podcasts to disk

==== aspell ====
Version update (0.60.6.1 -> 0.60.8)
Subpackages: aspell-spell libaspell15

- version update to 0.60.8
* Prevent a potentially unbounded buffer over-read by no longer
supporting null-terminated UCS-2 and UCS-4 encoded strings with the
original C API. @xref{Upgrading from Aspell 0.60.7}.
* Ensure that possible typos are listed before other suggestions when
typo analysis is used. Also fix a bug so that suggestions that split
a word using a space or hyphen are not always first.
* Add Markdown filter.
* Add new @option{wordlists} option, which is a list of UTF-8 files that
contain additional words to accept.
* Add new @option{camel-case} option, which enables support for checking
camelCase words.
* Sort personal and replacement dictionaries.
* Change @code{ultra} suggestion mode to only find words that are within
one-edit distance or have the same soundslike.
* Implement the @code{aspell filter} command.
* Fix a bug in @code{AspellDocumentChecker} that prevented it from
working with UCS-2 and UCS-4 encoded strings.
* Remove unused @option{sug-edit-dist} option.
* @code{AspellDocumentChecker} now expects the document a line at a time
in order to work with the new Markdown filter. If the document is
split on white space characters instead, nothing will break, but new
filters such as the Markdown filter may give incorrect results.
* The @option{clean} option and command will no longer split a word.
* Various documentation improvements.
* Removal of several outdated appendices that don't really belong in the
main manual. Parts that are still relevent may eventually be moved
elsewhere, but for now they are available online at
@uref{http://aspell.net/0.60.7/man-html/}.
* Fix various crashes and other problems found by Google's OSS-Fuzz.
* Add partial support for recognizing the Unicode apostrophe (') in
words. In particular Aspell will accept the Unicode apostrophe when
the language uses an ISO Latin charset that doesn't already have a
Unicode apostrophe. For now, Aspell will still use the ASCII version
in suggestions.
* Detect when a dictionary compiled on a 32-bit machine is used on a
64-bit one (and vise versa), as due to an oversight, compiled
dictionaries depend on more than the endianness. Also added a compile
time option to remove this dependency, but at the cost of breaking
compatibility with already compiled dictionaries on 64-bit systems.
* Fix a bug which caused Aspell to crash when passing in a null string
to almost any of the C API functions. This should not happen if the
size is also zero as the pointer should never be derefrenced.
* Fix a bug that caused Aspell to crash with a SEGFAULT when built with
mingw-w64.
* In addition to outputting a warning when building with NDEBUG defined,
also include NDEBUG in the version string.
* Various compile fixes for newer version of Gcc and Clang.
* Fix VPATH builds.
* Use utf-8 encoding for manual instead of iso-8859-1.
* Other minor updates and bug fixes.
- deleted patches
- aspell-automake-1.13.patch (upstreamed)
- aspell-epmty_file.patch (upstreamed, bsc#266130 does not exhibit)
- gcc7-fix-warnings.patch (upstreamed)

==== autoyast2 ====
Version update (4.2.10 -> 4.2.12)
Subpackages: autoyast2-installation

- AutoYaST support for the OnlineOnly installation medium
(jsc#SLE-7214)
- 4.2.12
- Do not run the registration step again in the installed system
(in the 2nd stage after reboot) (bsc#1153293)
- 4.2.11

==== brltty ====
Subpackages: brltty-driver-at-spi2 brltty-driver-brlapi
brltty-driver-speech-dispatcher brltty-driver-xwindow brltty-lang libbrlapi0_7
python3-brlapi xbrlapi

- change udev rule again to also not automatically use the braille
driver for USB IDs 10c4:ea60 and 10c4:ea80 as these are generic
IDs of generic UART bridges and should not be used for higher
level devices (bsc#1093378, bsc#1093455, bsc#1007652)

==== cifs-utils ====

- Fix invalid free in mount.cifs; (bsc#1152930).
* add 0012-mount.cifs-Fix-invalid-free.patch

==== corosync ====
Subpackages: libcfg6 libcmap4 libcorosync_common4 libcpg4 libquorum5

- Replace corosync-2.4.5.tar.gz with a clean source.tar.gz(bsc#1144200)
The reason is some binaries left in corosync-2.4.5.tar.gz

==== djvulibre ====
Subpackages: libdjvulibre21

- do not segfault when mmx enabled [bsc#1154401]
- added patches
https://sourceforge.net/p/djvu/bugs/293/
+ djvulibre-always-assume-that-cpuid-works-on-x86_64.patch

==== eventviews ====
Subpackages: eventviews-lang libKF5EventViews5

- Add 0001-month-monthscene.cpp-remove-comma-in-year-in-the-tit.patch
to fix a display bug in korganizer (kde#412833)

==== freetype2 ====
Subpackages: freetype2-devel libfreetype6 libfreetype6-32bit

- Use the compiler default C std, since 2012 gcc defaults
have changed, we now only need to get rid of ANSIFLAGS, override
that variable instead.

==== gnome-shell-extensions ====
Subpackages: gnome-shell-classic gnome-shell-classic-session
gnome-shell-extensions-common gnome-shell-extensions-common-lang

- Update gse-sle-classic-ext.patch: Change panel background color
to transparent on lock screen and unlock screen.

==== gpg2 ====
Subpackages: gpg2-lang

- Do not recommend lang package. The lang package already has a
supplements.

==== hplip ====
Subpackages: hplip-hpijs hplip-sane

- Added missing requirement lsb-release (needed for root password
prompt, e.g. hp-plugin).
- Changed the pgp server to pool.sks-keyservers.net to avoid timeouts
from pgp.mit.edu
* New patch: hplip-change-pgp-server.patch

==== kalarmcal ====
Subpackages: akonadi-plugin-kalarmcal kalarmcal-lang libKF5AlarmCalendar5

- Update (build) dependencies

==== kcontacts ====
Subpackages: kcontacts-lang libKF5Contacts5

- Add missing Requires to devel package, fix dependencies' versions

==== libdvdnav ====
Version update (6.0.0 -> 6.0.1)

- Update to version 6.0.1:
* improve random playback mode, to work-around broken discs
* fix divide-by-zerop issue in tmap search
* fix pthread on OS/2
- Removed gpg signature (not available)

==== libreoffice ====
Version update (6.3.2.2 -> 6.3.3.1)
Subpackages: libreoffice-base libreoffice-base-drivers-firebird
libreoffice-calc libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-es
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja
libreoffice-l10n-pl libreoffice-l10n-pt_BR libreoffice-l10n-ru
libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW libreoffice-mailmerge
libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
libreofficekit

- Add mssing krasa_jaga_svg icons to filelist
- Update to 6.3.3.1:
* 6.3 series stability fixes
- Remove merged 0001-Check-for-EMOJI-content-only-on-ICU-57-and-newer.patch
- As gtk2 will be removed in future releases we are disabling it
on 6.3 too to test out if we expose some regressions while we
can revert back and enable it again
- Enable build on ppc64le.
- Let the test suite run on ppc64le and disable the failing tests.

==== libstorage-ng ====
Version update (4.2.16 -> 4.2.17)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#675
- Log messages about the mount_by fallback are just warnings
(related to bsc#1151075)
- 4.2.17

==== libvirt ====
Version update (5.7.0 -> 5.8.0)
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-gluster
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- Update to libvirt 5.8.0
- bsc#1149100
- Many incremental improvements and bug fixes, see
https://libvirt.org/news.html

==== libxkbcommon ====
Version update (0.8.4 -> 0.9.1)
Subpackages: libxkbcommon-x11-0 libxkbcommon0

- Update to release 0.9.1
* Fix context creation failing when run in privileged processes
as defined by `secure_getenv(3)`, e.g. GDM.
- Update to release 0.9.0
* Move ~/.xkb to before XKB_CONFIG_ROOT. This enables the user
to have full control of the keymap definitions, instead of
only augmenting them.

==== libxslt ====
Subpackages: libxslt-tools libxslt1

- Security fix [bsc#1154609, CVE-2019-18197]
* Fix dangling pointer in xsltCopyText
* Add libxslt-CVE-2019-18197.patch

==== libzypp ====
Version update (17.14.0 -> 17.15.0)

- Fix empty metalink downloads if filesize is unknown (bsc#1153557)
- Recognize riscv64 as architecture
- Fix installation of new header file (fixes #185)
- zypp.conf: Introduce `solver.focus` to define the resolvers general
attitude when resolving jobs. (bsc#1146415)
- New container detection algorithm for zypper ps (bsc#1146947)
- version 17.15.0 (12)
- Revert "Use CURL_HTTP_VERSION_2TLS if available" (bsc#1146027)
- doc: add service example using variables
- Fix build with rpm >= 4.15 (fixes #172)
- version 17.14.1 (12)

==== llvm8 ====
Subpackages: clang8 clang8-checker libLLVM8 libLTO8 libclang8

- Don't build libc++ and python3-clang anymore, because they come
from llvm9 now (boo#1145735).

==== llvm9 ====
Subpackages: libc++-devel libc++1 libc++abi-devel libc++abi1

- Let new {llvm,clang}*-doc packages "Conflict" with older devel
packages, which they were split from.
- Let doc packages conflict with older versions of themselves.

==== lvm2 ====
Subpackages: liblvm2cmd2_03

- lvm2-pvscan needs process speed improvement on a large scale PVs
(jcs#SLE-5498)
+ jcs-SLE5498_pvscan-allow-use-of-noudevsync-option.patch

==== lvm2-device-mapper ====
Subpackages: device-mapper libdevmapper-event1_03 libdevmapper1_03
libdevmapper1_03-32bit

- lvm2-pvscan needs process speed improvement on a large scale PVs
(jcs#SLE-5498)
+ jcs-SLE5498_pvscan-allow-use-of-noudevsync-option.patch

==== lz4 ====
Version update (1.9.1 -> 1.9.2)
Subpackages: liblz4-1 liblz4-1-32bit

- enable testsuite
- verbose build
- version update to 1.9.2
* decompression functions were reading a few bytes beyond input size
* api: lz4frame initializers compatibility with c++, reported by @degski
* cli : added command --list, based on a patch by @gabrielstedman

==== mercurial ====
Version update (5.1.1 -> 5.1.2)
Subpackages: mercurial-lang

- Mercurial 5.1.2
Regularly scheduled bug fix release.
* extensions
+ phabricator: don't abort if property writing fails during amending
* tests
+ test: allow different result for zstd compression (issue6188)

==== mutter ====
Subpackages: libmutter-5-0 mutter-data mutter-lang

- Rebase patches:
+ Update mutter-SLE-bell.patch
+ Disable mutter-SLE-bsc984738-grab-display.patch

==== obs-service-tar_scm ====
Subpackages: obs-service-obs_scm obs-service-obs_scm-common

- Fix building and installation for CentOS8, RHEL8 and RES8

==== open-iscsi ====
Subpackages: iscsiuio libopeniscsiusr0_2_0

- Merge in latest upstream, with fixes for:
* Support CHAP SHA-1, SHA-256, SHA3-256 vis openssl libcrypto
- this requires an update of the SPEC file, as well
* Initialize timeout for printing specific session info
Updating (in addition to the SPEC file):
* open-iscsi-SUSE-latest.diff.bz2

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-base patterns-base-basesystem
patterns-base-basic_desktop patterns-base-console patterns-base-documentation
patterns-base-enhanced_base patterns-base-minimal_base
patterns-base-sw_management patterns-base-transactional_base patterns-base-x11
patterns-base-x11_enhanced

- Remove tcpdump from enhanced_base

==== patterns-kde ====
Subpackages: patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging
patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office
patterns-kde-kde_pim patterns-kde-kde_plasma patterns-kde-kde_utilities
patterns-kde-kde_utilities_opt patterns-kde-kde_yast

- Drop kde-odf-thumbnail recommends, is part of kio-extras5
- Recommend plasma5-thunderbolt in kde_plasma
- Recommend kwrited5 in kde_plasma

==== perl-Bootloader ====
Version update (0.925 -> 0.926)

- merge gh#openSUSE/perl-bootloader#123
- Accept sysconfig values without quotes
- 0.926

==== perl-Cpanel-JSON-XS ====
Version update (4.12 -> 4.14)

- updated to 4.14
see /usr/share/doc/packages/perl-Cpanel-JSON-XS/Changes
4.14 2019-10-15 (rurban)
- Fix tests for nvtype long double (#153)
- Fix PREREQ's. E.g. CentOS 7 has not Test::More anymore. (#152 by Pali)
4.13 2019-10-14 (rurban)
- For JSON_TYPE_INT and JSON_TYPE_FLOAT allow to encode numeric values
above 2^64 in PV slot via Math::BigInt/Float (#145, #148, #149 by Pali)
- For JSON_TYPE_INT and JSON_TYPE_FLOAT encoder allow to pass Math::BigInt
and Math::BigFloat objects with allow_bignum. (#147 by Pali)
- Fix encoding floating point values above 2^64 in PV slot to JSON_TYPE_INT
(#148, #150 by Pali)
- Do not allow serializing objects when convert_blessed is not enabled.
(#146 by Pali)

==== perl-DateTime-Locale ====
Version update (1.240000 -> 1.250000)

- updated to 1.25
see /usr/share/doc/packages/perl-DateTime-Locale/Changes
1.25 2019-10-09
- Rebuilt all locale data with CLDR 36, released on 2019-10-04.

==== python-base ====
Subpackages: libpython2_7-1_0 python-xml

- Add CVE-2019-16935-xmlrpc-doc-server_title.patch fixing
bsc#1153238 (aka CVE-2019-16935) fixing a reflected XSS in
python/Lib/DocXMLRPCServer.py

==== python-libvirt-python ====
Version update (5.7.0 -> 5.8.0)

- Update to 5.8.0
- Add all new APIs and constants in libvirt 5.8.0

==== python-numpy ====
Version update (1.17.2 -> 1.17.3)

- update to version 1.17.3:
* #14456: MAINT: clean up pocketfft modules inside numpy.fft
namespace.
* #14463: BUG: random.hypergeometic assumes npy_long is npy_int64,
hung...
* #14502: BUG: random: Revert gh-14458 and refix gh-14557.
* #14504: BUG: add a specialized loop for boolean matmul.
* #14506: MAINT: Update pytest version for Python 3.8
* #14512: DOC: random: fix doc linking, was referencing private
submodules.
* #14513: BUG,MAINT: Some fixes and minor cleanup based on clang
analysis
* #14515: BUG: Fix randint when range is 2**32
* #14519: MAINT: remove the entropy c-extension module
* #14563: DOC: remove note about Pocketfft license file
(non-existing here).
* #14578: BUG: random: Create a legacy implementation of
random.binomial.
* #14687: BUG: properly define PyArray_DescrCheck

==== python-reportlab ====

- Add python38_build.patch to work around depreceated (and now
removed) function time.clock()

==== rpm ====
Subpackages: rpm-build rpm-devel

- Split librpmbuild into a separate subpackage, it's pulled in by
python-rpm
- Add set-flto=auto-by-default.patch in order to utilize -flto=auto.
- Move more into rpm-build subpackage:
* brp- and -check scripts
* .prov and .req files, with *find* scripts
* elfdeps, debugedit and sepdebugcrcfix
* librpmbuild and dependents
- Add upstream patches which remove libelf dep from librpmio and plugins:
* 0001-Stop-papering-over-the-security-disaster-known-as-pr.patch
* 0002-Fix-use-after-free-introduced-in-0f21bdd0d7b2c45564d.patch

==== rpm-config-SUSE ====
Version update (0.g35 -> 0.g40)

- Update to version 0.g40:
* locale.prov: also work with -locale packages
* locale.prov: discard input in error case
- Update to version 0.g37:
* Add macros for locale provides

==== rubygem-fast_gettext ====

- cleanup control character in changelog

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Pickup UID_MIN/UID_MAX default values from the new %_distconfdir
(/usr/etc/) default location for login.defs

==== sendmail ====
Subpackages: libmilter1_0

- Avoid recursion trouble in spec file cause by undefined _lto_cflags

==== shadow ====

- libeconf.patch: Add support for libeconf and /usr/etc for
login.defs.
- Move first configuration files and pam config files to /usr/etc

==== tbb ====

- Update to version 2019_u9
* Multiple APIs are deprecated. For details, please see
Deprecated Features appendix in the TBB reference manual.
* Added C++17 deduction guides for flow graph nodes.
Preview Features
* Added isolated_task_group class that allows multiple threads to add
and execute tasks sharing the same isolation.
* Extended the flow graph API to simplify connecting nodes.
* Added erase() by heterogeneous keys for concurrent ordered containers.
* Added a possibility to suspend task execution at a specific point
and resume it later.
Bugs fixed
* Fixed the emplace() method of concurrent unordered containers to
destroy a temporary element that was not inserted.
* Fixed a bug in the merge() method of concurrent unordered
containers.
* Fixed behavior of a continue_node that follows buffering nodes.
* Added support for move-only types to tbb::parallel_pipeline
* Fixed detection of clang version when CUDA toolkit is installed
- Refresh patches:
* cmake-remove-include-path.patch
* disable-irml.patch
* optflags.patch

==== valgrind ====

- Move the BSD-style licensed client headers to a subpackage.
Packages only requiring e.g. valgrind.h during build no longer
need the full valgrind and valgrind-devel packages then.
- Clean up documentation a bit:
+ use %build_cond, drop unused docbook_4 BuildRequires
+ remove the Postscript Valgrind manual in favor of the PDF one.
- Add GFDL-1.2 to the License, relevant for man pages and Valgrind
PDF/HTML manual.

==== vim ====
Version update (8.1.2052 -> 8.1.2148)
Subpackages: gvim vim-data vim-data-common

- Updated to version 8.1.2148, fixes the following problems
* Using "x" before a closed fold may delete that fold.
* SafeStateAgain not triggered if callback uses feedkeys().
* Compiler test for Perl may fail.
* Not easy to jump to function line from profile.
* "make test" for indent files doesn't cause make to fail.
* The screen.c file is much too big.
* Function for ex command is named inconsistently.
* Fix for "x" deleting a fold has side effects.
* "precedes" in 'listchars' not used properly.
* The mouse code is spread out.
* Some tests fail when +balloon_eval_term is missing but _balloon_eval is
present. (Dominique Pelle)
* No tests for state().
* No tests for SafeState and SafeStateAgain.
* Test for SafeState and SafeStateAgain may fail.
* Test for SafeStateAgain may still fail.
* Mouse code is spread out.
* When 'wincolor' is set text property changes highlighting. (Andy Stewart)
* "gk" moves to start of line instead of upwards.
* When editing a buffer 'colorcolumn' may not work.
* Test for SafeState autocommand is a bit flaky.
* Get many log messages when waiting for a typed character.
* Crash when trying to put a terminal buffer in a popup window.
* The ops.c file is too big.
* Build error with +textprop but without +terminal. (Tony Mechelynck)
* Popup window test fails without +terminal.
* The terminal API is limited and can't be disabled.
* The spell.c file is too big.
* Some files have a weird name to fit in 8.3 characters.
* Multi-byte chars do not work properly with "%.*S" in printf().
* Missing a few changes for the renamed files.
* Cannot easily select one test function to execute.
* Renamed libvterm mouse.c file not in distributed file list.
* Do not get a hint that $TEST_FILTER was active.
* Not clear why channel log file ends.
* Double free when memory allocation fails. (Zu-Ming Jiang)
* The fileio.c file is too big.
* Leaking memory when getting item from dict.
* Too many #ifdefs.
* :mksession is not sufficiently tested.
* mksession test fails on MS-Windows.
* state() test fails on some Mac systems.
* :mksession is not sufficiently tested.
* write_session_file() often defined but not used.
* Can't build with GTK and FEAT_GUI_GNOME. (Tony Mechelynck)
* wrong error message if "termdebugger" is not executable.
* The normal.c file is too big.
* No tests for dragging the mouse beyond the window.
* Various memory leaks reported by asan.
* Cannot close the cmdline window from CmdWinEnter. (George Brown)
* popup_getoptions() hangs with tab-local popup.
* CTRL-C closes two popups instead of one.
* Viminfo file not sufficiently tested.
* Build number for ConPTY is outdated.
* ":help expr-!~?" only works after searching.
* When a popup is closed with CTRL-C the callback aborts.
* No check for out of memory.
* CursorLine highlight used while 'cursorline' is off.
* Termcodes test fails when $TERM is "dumb".
* memory access error for empty string when 'encoding' is a single byte
encoding.
* Some MB_ macros are more complicated than necessary. (Dominique Pelle)
* Mode is not updated when switching to terminal in Insert mode.
* Cannot build without terminal feature.
* Parsing CSI sequence is messy.
* Ruler is not updated if win_execute() moves cursor.
* Fnamemodify() fails when repeating :e.
* Viminfo not sufficiently tested.
* The indent.c file is a bit big.
* Renamed libvterm sources makes merging difficult.
* Using hard coded executable path in test.
* MSVC build fails.
* MSVC tests fail.
* MS-Windows: screen mess when not recognizing insider build.
* Some tests fail when run as root.
* Modifier keys are not always recognized.
* With modifyOtherKeys Alt-a does not work properly.
* using freed memory with autocmd from fuzzer. (Dhiraj Mishra, Dominique
Pelle)
* Parsing the termresponse is not tested.
* Including the build number in the Win32 binary is confusing.
* The modifyOtherKeys codes are not tested.
* "gk" and "gj" do not work correctly in number column.
* :tselect has an extra hit-enter prompt.
* Some key mappings do not work with modifyOtherKeys.
* Cannot see each command even when 'verbose' is set.
* Side effects when using t_ti to enable modifyOtherKeys.
* Cannot map <C-H> when modifyOtherKeys is enabled.
* Build failure.
* Crash when allocating memory fails. (Zu-Ming Jiang)
* No test for right click extending Visual area.

==== virtualbox ====
Subpackages: virtualbox-guest-tools virtualbox-guest-x11 virtualbox-kmp-default

- Kernel 5.4.0-rc3 introduces a change in the way the compiler handles the
fallthrough
attribute leading to build errors. File "fixes_for_5.4.patch" is modified to
build correctly.

==== whois ====
Version update (5.5.1 -> 5.5.2)

- whois 5.5.2:
* Added the .xn--qxa6a (.??, European Union, Greek) TLD server
* Updated the .td TLD server

==== xen ====
Version update (4.12.1_02 -> 4.13.0_01)
Subpackages: xen-libs xen-tools xen-tools-domU

- Update to Xen 4.13.0 RC1 release
xen-4.13.0-testing-src.tar.bz2
- Drop patches contained in new tarball or invalid
5ca7660f-x86-entry-drop-unused-includes.patch
5cab2a6b-x86-ACPI-also-parse-AMD-tables-early.patch
5cab2ab7-x86-IOMMU-introduce-init-ops.patch
5cab2ae8-x86-IOMMU-abstract-iommu_supports_eim.patch
5cab2b4e-x86-IOMMU-abstract-iommu_enable_x2apic_IR.patch
5cab2b95-x86-IOMMU-initialize-iommu_ops-in.patch
5cac9a4b-x86-IOMMU-abstract-adjust_vtd_irq_affinities.patch
5cdeac7f-AMD-IOMMU-adjust-IOMMU-list-head-init.patch
5cf8da09-adjust-sysdom-creation-call-earlier-on-x86.patch
5d0cf4e4-AMD-IOMMU-initialize-IRQ-tasklet-once.patch
5d149bb0-AMD-IOMMU-dont-add-IOMMUs.patch
5d1b3fab-AMD-IOMMU-restrict-feature-logging.patch
5d358508-x86-IRQ-desc-affinity-represents-request.patch
5d358534-x86-IRQ-consolidate-arch-cpu_mask-use.patch
5d358a67-AMD-IOMMU-pass-IOMMU-to-iterate_ivrs_entries-cb.patch
5d358a92-AMD-IOMMU-pass-IOMMU-to-amd_iommu_alloc_intremap_table.patch
5d39811c-x86-IOMMU-dont-restrict-IRQ-affinities.patch
5d417813-AMD-IOMMU-bitfield-extended-features.patch
5d417838-AMD-IOMMU-bitfield-control-reg.patch
5d41785b-AMD-IOMMU-bitfield-IRTE.patch
5d41787e-AMD-IOMMU-pass-IOMMU-to-gfu-intremap-entry.patch
5d4178ad-AMD-IOMMU-128bit-non-guest-APIC-IRTE.patch
5d4178fc-AMD-IOMMU-split-amd_iommu_init_one.patch
5d41793f-AMD-IOMMU-allow-enabling-without-IRQ.patch
5d417a16-AMD-IOMMU-adjust-IRQ-setup-for-x2APIC.patch
5d417ab6-AMD-IOMMU-enable-x2APIC-mode.patch
5d417b38-AMD-IOMMU-correct-IRTE-updating.patch
5d417b6a-AMD-IOMMU-dont-needlessly-log-headers.patch
5d419d49-x86-spec-ctrl-report-proper-status.patch
5d43253c-x86-ucode-always-collect_cpu_info-at-boot.patch
5d4a9d25-AMD-IOMMU-drop-not-found-message.patch
5d4aa36f-x86-apic-enable-x2APIC-mode-earlier.patch
5d4afa7a-credit2-fix-memory-leak.patch
5d4d850a-introduce-bss-percpu-page-aligned.patch
5d516531-x86-xpti-dont-leak-TSS-adjacent-data.patch
5d5bf475-x86-PV-fix-handling-of-iommu-mappings.patch
5d6524ca-x86-mm-correctly-init-M2P-entries.patch
5d67ceaf-x86-properly-gate-PKU-clearing.patch
5d70bfba-x86-shadow-dont-enable-with-too-small-allocation.patch
5d779811-x86-fix-CPUID7-0-eax-levelling-MSR.patch
5d77b40f-fix-hvm_all_ioreq_servers_add_vcpu-cleanup.patch
5d80e7c0-AMD-IOMMU-free-shared-IRT-once.patch
5d80e80d-AMD-IOMMU-valid-flag-for-IVRS-mappings.patch
5d80e82e-AMD-IOMMU-alloc_intremap_table-callers-handle-errors.patch
5d80e857-x86-PCI-read-MSI-X-table-entry-count-early.patch
5d80ea13-vpci-honor-read-only-devices.patch
5d89d8d9-libxc-x86-avoid-overflow-in-CPUID-APIC-ID.patch
5d8b715f-ACPI-cpuidle-bump-max-num-of-states.patch
5d8b72e5-AMD-IOMMU-dont-blindly-alloc-intremap-tables.patch
5d8b730e-AMD-IOMMU-phantom-funcs-share-intremap-tables.patch
5d8b733b-x86-PCI-read-max-MSI-vector-count-early.patch
5d8b736d-AMD-IOMMU-replace-INTREMAP_ENTRIES.patch
5d8b7393-AMD-IOMMU-restrict-intremap-table-sizes.patch
5d9ee2a8-AMD-IOMMU-alloc-1-devtab-per-PCI-seg.patch
5d9ee2f0-AMD-IOMMU-allocate_buffer-avoid-memset.patch
5d9ee312-AMD-IOMMU-prefill-all-DTEs.patch
CVE-2014-0222-blktap-qcow1-validate-l2-table-size.patch
blktap2-no-uninit.patch
libxl.prepare-environment-for-domcreate_stream_done.patch
pygrub-python3-conversion.patch
fix-xenpvnetboot.patch
- bsc#1135799 - Partner-L3: Xen crashes on AMD ROME based machines
5d9ee2a8-AMD-IOMMU-alloc-1-devtab-per-PCI-seg.patch
5d9ee2f0-AMD-IOMMU-allocate_buffer-avoid-memset.patch
5d9ee312-AMD-IOMMU-prefill-all-DTEs.patch

==== xf86-video-intel ====

- Guard valgrind BuildRequires with a bcond, defaulting to disabled
(upstream default), and actually enable it when requested.

==== yast2 ====
Version update (4.2.27 -> 4.2.28)
Subpackages: yast2-logs

- Fix showing details for accessing media error (bsc#1153297)
- 4.2.28

==== yast2-country ====
Version update (4.2.5 -> 4.2.6)
Subpackages: yast2-country-data

- Keyboard: Permit to set the Keyboard layout in AutoYaST config
(bsc#1153550)
- 4.2.6

==== yast2-security ====
Version update (4.2.4 -> 4.2.5)

- Added extra_services to security.rnc file (bsc#1153623).
- 4.2.5

==== yast2-trans ====
Version update (84.87.20191014.7227f0a5d8 -> 84.87.20191020.c721485b2e)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sr yast2-trans-sv yast2-trans-ta
yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi yast2-trans-wa
yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20191020.c721485b2e:
* Translated using Weblate (Slovak)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Slovak)
* Translated using Weblate (Estonian)
* Translated using Weblate (Czech)
* Translated using Weblate (Estonian)
* Translated using Weblate (Dutch)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (China))
* New POT for text domain 'storage'.
* New POT for text domain 'country'.
* New POT for text domain 'autoinst'.
* New POT for text domain 'storage'.
* New POT for text domain 'qt-pkg'.
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Czech)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Japanese)
* Translated using Weblate (Dutch)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* New POT for text domain 'storage'.
* New POT for text domain 'cluster'.
* New POT for text domain 'autoinst'.
* Translated using Weblate (Estonian)
* Translated using Weblate (Estonian)
* Translated using Weblate (Estonian)
* Translated using Weblate (Estonian)
* Translated using Weblate (Estonian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* New POT for text domain 'ntp-client'.
* New POT for text domain 'http-server'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Danish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (German)
* Translated using Weblate (German)
* Translated using Weblate (Dutch)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* Translated using Weblate (Japanese)
* New POT for text domain 'network'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))

==== zbar ====

- Remove references to Qt4 from zbar-qt pkgconfig file (#62),
add 0001-Create-correct-pkconfig-file-for-zbar-qt5.patch


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups